# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Devel/REPL/Plugin.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
Name:           perl-Carp-REPL
Version:        0.15
Release:        alt1_6
Summary:        Read-eval-print-loop on die and/or warn
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Carp-REPL/
Source0:        http://www.cpan.org/authors/id/S/SA/SARTAK/Carp-REPL-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Data/Dump/Streamer.pm)
BuildRequires:  perl(Devel/LexAlias.pm)
BuildRequires:  perl(Devel/REPL.pm)
BuildRequires:  perl(Devel/StackTrace/WithLexicals.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Lexical/Persistence.pm)
BuildRequires:  perl(namespace/clean.pm)
BuildRequires:  perl(Test/Expect.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Devel/REPL.pm)
Requires:       perl(Lexical/Persistence.pm)
Requires:       perl(namespace/clean.pm)

# Test::Expect and/or Devel::REPL is failing under mock 1.1.8 in koji
# all is fine locally with mock 1.1.14, though
%bcond_with expect_tests


Source44: import.info

%description
Carp-REPL is a debugging aid for Perl programs. When a program dies (or warns),
you get a REPL instead of dying or continuing blindly.

%prep
%setup -q -n Carp-REPL-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
# Test::Expect and/or Devel::REPL is failing under mock 1.1.8 in koji
# all is fine locally with mock 1.1.14, though
%if ! %{with expect_tests}
grep -lZ 'Test::Expect' t/*.t |xargs -0 rm -f
%endif
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_6
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_5
- update to new release by fcimport

* Tue Jun 05 2012 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_3
- fc import

